#ifndef GESTUREEXENTSIONS_H
#define GESTUREEXENTSIONS_H

#include "qt5-gesture-extensions_global.h"

#include <QVector>
#include <QObject>

class QWidget;

namespace UkuiGestureExtension {

class GestureExtensionManagerPrivate;
class QT5GESTUREEXTENSIONS_EXPORT GestureExtensionManager : public QObject
{
public:
    ~GestureExtensionManager();
    /*!
     * \brief registerWidget
     * \details register the widget to all extension
    */
    void registerWidget(QWidget* widget);
    /*!
     * \brief unregisterWidget
     * \details unregister the widget to all extension
    */
    void unregisterWidget(QWidget* widget);

    static GestureExtensionManager* getInstance(QObject* parent = nullptr);
    void release();

private:
    GestureExtensionManager(QObject* parent = nullptr);

    GestureExtensionManagerPrivate* m_p;

};

} // namespace

#endif // GESTUREEXENTSIONS_H
